Index: greenstone3/trunk/web/interfaces/default/transform/document.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 18315)
+++ greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 18316)
@@ -22,6 +22,6 @@
     <xsl:choose> 
       <xsl:when test="$bookswitch = 'flashxml' and $a = 'd'">
-         <html>
-   		  <xsl:call-template name="response" />
+	<html>
+	  <xsl:call-template name="response" />
         </html>
       </xsl:when>
@@ -29,17 +29,17 @@
       <xsl:otherwise>    
         <html>
-    <head>
-      <title>
-	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
-      </title>
-      <xsl:call-template name="globalStyle"/>
-      <xsl:call-template name="pageStyle"/>
-    </head>
+	  <head>
+	    <title>
+	      <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	      <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	    </title>
+	    <xsl:call-template name="globalStyle"/>
+	    <xsl:call-template name="pageStyle"/>
+	  </head>
           <body>
-           <div id="globalwrapper">
-   		  <xsl:call-template name="response" />
-		  <xsl:call-template name="greenstoneFooter"/>
-	   </div>
+	    <div id="globalwrapper">
+	      <xsl:call-template name="response" />
+	      <xsl:call-template name="greenstoneFooter"/>
+	    </div>
           </body>
         </html>
@@ -49,6 +49,6 @@
   
   
-   <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
-   <xsl:variable name="bookswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:variable>
+  <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
+  <xsl:variable name="bookswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:variable>
   
   <xsl:template name="pageTitle">
@@ -68,9 +68,9 @@
       </xsl:text>
     </style>
-     <!--TODO: add berry basket switch-->
- <!--<xsl:if test="$berryBaskets = 'true'">-->
+    <!--TODO: add berry basket switch-->
+    <!--<xsl:if test="$berryBaskets = 'true'">-->
     <xsl:if test="$berrybasketswitch = 'on'">
-     <xsl:call-template name="berryStyleSheet"/>  
-     <xsl:call-template name="js-library"/>
+      <xsl:call-template name="berryStyleSheet"/>  
+      <xsl:call-template name="js-library"/>
     </xsl:if>
   </xsl:template>
@@ -81,25 +81,25 @@
       <xsl:when test="$bookswitch = 'on' or $bookswitch = 'off'">
         <xsl:call-template name="standardPageBanner">
-           <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="collName" select="$collName"/>
         </xsl:call-template>
         <xsl:call-template name="navigationBar">
-           <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="collName" select="$collName"/>
         </xsl:call-template>
-  
+	
         <!--<xsl:if test="$berryBaskets = 'true'">-->
         <xsl:if test="$berrybasketswitch = 'on'">
           <xsl:call-template name="documentBerryBasket">
-             <xsl:with-param name="collName" select="$collName"/>
-             <xsl:with-param name="selectedNode" select="/page/pageResponse/document/@selectedNode"/>
-             <xsl:with-param name="rootNode" select="/page/pageResponse/document/documentNode[@nodeType='root']/@nodeID"/>
-             <xsl:with-param name="docType" select="/page/pageResponse/document/@docType"/>
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="selectedNode" select="/page/pageResponse/document/@selectedNode"/>
+	    <xsl:with-param name="rootNode" select="/page/pageResponse/document/documentNode[@nodeType='root']/@nodeID"/>
+	    <xsl:with-param name="docType" select="/page/pageResponse/document/@docType"/>
           </xsl:call-template>
         </xsl:if>
       </xsl:when>
-   </xsl:choose>	
-
-  <!-- display the document -->
+    </xsl:choose>	
+
+    <!-- display the document -->
     <xsl:if test="$bookswitch != 'flashxml'">
-       <xsl:text disable-output-escaping="yes">&lt;div id="content"&gt;</xsl:text>
+      <xsl:text disable-output-escaping="yes">&lt;div id="content"&gt;</xsl:text>
     </xsl:if>
     <xsl:apply-templates select="document">
@@ -107,85 +107,82 @@
     </xsl:apply-templates>
     <xsl:if test="$bookswitch != 'flashxml'">
-	<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
-    </xsl:if>
-  </xsl:template>
-	
+      <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
+    </xsl:if>
+  </xsl:template>
+  
   <xsl:template match="document">
-   <xsl:param name="collName"/>
-   <xsl:variable name="external"><xsl:value-of select="/page/pageResponse/document/@external"/></xsl:variable>
+    <xsl:param name="collName"/>
+    <xsl:variable name="external"><xsl:value-of select="/page/pageResponse/document/@external"/></xsl:variable>
     <xsl:choose>
       <xsl:when test="$external != ''">
-      <xsl:call-template name="externalPage">
-	<xsl:with-param name="external" select="$external"/>
-      </xsl:call-template>
+	<xsl:call-template name="externalPage">
+	  <xsl:with-param name="external" select="$external"/>
+	</xsl:call-template>
       </xsl:when>
       <xsl:otherwise>
 
-   <xsl:if test="$bookswitch = 'flashxml'">
-			<xsl:call-template name="xmldocumentContentPeeling">
-				<xsl:with-param name="collName" select="$collName"/>
-			</xsl:call-template>
-		</xsl:if>
-   
-   <xsl:if test="$bookswitch = 'off'">
-    <xsl:call-template name="documentHeading">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>
-  
-    <xsl:call-template name="documentArrows">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>         
-    <xsl:call-template name="documentContent">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>
-    <xsl:call-template name="documentArrows">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>   
-   </xsl:if>
-   <xsl:if test="$bookswitch = 'on'">
-			<xsl:call-template name="documentHeading">
-				<xsl:with-param name="collName" select="$collName"/>
-			</xsl:call-template>
-			<div id="bookdiv"></div>
-			<script type="text/javascript">
-				<xsl:text disable-output-escaping="yes">
-					var doc_url = document.URL; 
-					doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
-					doc_url += '&amp;book=flashxml';
-
-					// var src_image = "http://kia.cs.waikato.ac.nz:8080/greenstone3/sites/localsite/collect/gs2mgdemo/index/assoc/HASH49aa.dir/cover.jpg"
-					//var doc_url = "/greenstone3/library?a=d&amp;c=gs2mgdemo&amp;d=HASH49aab56062938fbe2ff7f1&amp;dt=hierarchy&amp;p.a=b&amp;p.s=ClassifierBrowse&amp;ed=1";
-
-					var flash_plug_html = ""
-					flash_plug_html += '&lt;OBJECT align="middle" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" \n';
-					flash_plug_html += '  codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" \n';
-					flash_plug_html += '  height="100%" id="Book" swLiveConnect="true" \n';
-					flash_plug_html += '  width="100%"&gt;\n';
-					flash_plug_html += '    &lt;PARAM name="allowScriptAccess" value="always" /&gt;\n';
-					flash_plug_html += '    &lt;PARAM name="movie" value="Book.swf';
-					flash_plug_html += '?src_image=' + escape(img_cover);
-					flash_plug_html += '&amp;doc_url=' + escape(doc_url)
-					flash_plug_html += '" /&gt;\n';
-					flash_plug_html += '    &lt;PARAM name="quality" value="high" /&gt;\n';
-					flash_plug_html += '    &lt;PARAM name="bgcolor" value="#FFFFFF" /&gt;\n';
-					flash_plug_html += '    &lt;EMBED align="middle" \n';
-					flash_plug_html += '      allowScriptAccess="always" swLiveConnect="true" \n';
-					flash_plug_html += '      bgcolor="#FFFFFF" height="100%" name="Book" \n';
-					flash_plug_html += '      pluginspage="http://www.macromedia.com/go/getflashplayer" \n';
-					flash_plug_html += '      quality="high" \n';
-					flash_plug_html += '      src="Book.swf';
-					flash_plug_html += '?src_image=' + escape(img_cover);
-					flash_plug_html += '&amp;doc_url=' + escape(doc_url);
-					flash_plug_html += '"\n'; 
-					flash_plug_html += '      type="application/x-shockwave-flash" width="100%" /&gt;\n';
-					flash_plug_html += '&lt;/OBJECT&gt;\n';
-					var flash_div = document.getElementById("bookdiv");
-					flash_div.innerHTML = flash_plug_html;
-				</xsl:text>
-			</script>
-		</xsl:if>  
-       </xsl:otherwise>
+	<xsl:if test="$bookswitch = 'flashxml'">
+	  <xsl:call-template name="xmldocumentContentPeeling">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>
+	</xsl:if>
+	
+	<xsl:if test="$bookswitch = 'off'">
+	  <xsl:call-template name="documentHeading">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>
+	  
+	  <xsl:call-template name="documentArrows">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>         
+	  <xsl:call-template name="documentContent">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>
+	  <xsl:call-template name="documentArrows">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>   
+	</xsl:if>
+	<xsl:if test="$bookswitch = 'on'">
+	  <xsl:call-template name="documentHeading">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>
+	  <div id="bookdiv"></div>
+	  <script type="text/javascript">
+	    <xsl:text disable-output-escaping="yes">
+	      var doc_url = document.URL; 
+	      doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
+	      doc_url += '&amp;book=flashxml';
+
+	      var flash_plug_html = ""
+	      flash_plug_html += '&lt;OBJECT align="middle" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" \n';
+	      flash_plug_html += '  codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" \n';
+	      flash_plug_html += '  height="100%" id="Book" swLiveConnect="true" \n';
+	      flash_plug_html += '  width="100%"&gt;\n';
+	      flash_plug_html += '    &lt;PARAM name="allowScriptAccess" value="always" /&gt;\n';
+	      flash_plug_html += '    &lt;PARAM name="movie" value="Book.swf';
+	      flash_plug_html += '?src_image=' + escape(img_cover);
+	      flash_plug_html += '&amp;doc_url=' + escape(doc_url)
+	      flash_plug_html += '" /&gt;\n';
+	      flash_plug_html += '    &lt;PARAM name="quality" value="high" /&gt;\n';
+	      flash_plug_html += '    &lt;PARAM name="bgcolor" value="#FFFFFF" /&gt;\n';
+	      flash_plug_html += '    &lt;EMBED align="middle" \n';
+	      flash_plug_html += '      allowScriptAccess="always" swLiveConnect="true" \n';
+	      flash_plug_html += '      bgcolor="#FFFFFF" height="100%" name="Book" \n';
+	      flash_plug_html += '      pluginspage="http://www.macromedia.com/go/getflashplayer" \n';
+	      flash_plug_html += '      quality="high" \n';
+	      flash_plug_html += '      src="Book.swf';
+	      flash_plug_html += '?src_image=' + escape(img_cover);
+	      flash_plug_html += '&amp;doc_url=' + escape(doc_url);
+	      flash_plug_html += '"\n'; 
+	      flash_plug_html += '      type="application/x-shockwave-flash" width="100%" /&gt;\n';
+	      flash_plug_html += '&lt;/OBJECT&gt;\n';
+	      var flash_div = document.getElementById("bookdiv");
+	      flash_div.innerHTML = flash_plug_html;
+	    </xsl:text>
+	  </script>
+	</xsl:if>  
+      </xsl:otherwise>
     </xsl:choose>
- </xsl:template>
+  </xsl:template>
 
   <xsl:template name="documentHeading">
@@ -197,62 +194,62 @@
     <xsl:variable name="p.s" select="/page/pageRequest/paramList/param[@name='p.s']/@value"/>
     <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
-   <div id="documentheading">
-	  <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
-	  </xsl:call-template></a>
-	     <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
-  </div>
-  
- <div id="docheadwrapper">
-  <div id="documentinfo">
+    <div id="documentheading">
+      <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
+	</xsl:call-template></a>
+      <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
+    </div>
     
-  <xsl:choose>
-    <xsl:when test="$bookswitch = 'on'">
-    	<xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
-         <div id="headingimage">
-          <xsl:call-template name="coverImage"/> 
-         </div>
-        </xsl:if>
-    </xsl:when>
-    <xsl:otherwise>
-    	<xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
-       	  <div id="headingimage">
-             <xsl:call-template name="coverImage"/> 
-          </div>
-        </xsl:if>
-     
-        <ul id="docbuttons" >
-         <xsl:call-template name="documentButtons">
-	   <xsl:with-param name="collName" select="$collName"/>
-         </xsl:call-template>
-       </ul>
-     </xsl:otherwise>
-  </xsl:choose>     
-  </div>
-    <!--<div><xsl:call-template name="enrichServices">
-	   <xsl:with-param name="collName" select="$collName"/>
-	  </xsl:call-template></div>-->
-   <xsl:if test="$bookswitch = 'off'">
-    <xsl:if test="string($doTOC) != 'false'">
-       <div id="toc">
-	 <xsl:call-template name="TOC">
-	   <xsl:with-param name="collName" select="$collName"/>
-	 </xsl:call-template>
+    <div id="docheadwrapper">
+      <div id="documentinfo">
+	
+	<xsl:choose>
+	  <xsl:when test="$bookswitch = 'on'">
+	    <xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
+	      <div id="headingimage">
+		<xsl:call-template name="coverImage"/> 
+	      </div>
+	    </xsl:if>
+	  </xsl:when>
+	  <xsl:otherwise>
+	    <xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
+	      <div id="headingimage">
+		<xsl:call-template name="coverImage"/> 
+	      </div>
+	    </xsl:if>
+	    
+	    <ul id="docbuttons" >
+	      <xsl:call-template name="documentButtons">
+		<xsl:with-param name="collName" select="$collName"/>
+	      </xsl:call-template>
+	    </ul>
+	  </xsl:otherwise>
+	</xsl:choose>     
       </div>
-    </xsl:if>
-  </xsl:if>  
- </div>
- </xsl:template>
+      <!--<div><xsl:call-template name="enrichServices">
+      <xsl:with-param name="collName" select="$collName"/>
+    </xsl:call-template></div>-->
+      <xsl:if test="$bookswitch = 'off'">
+	<xsl:if test="string($doTOC) != 'false'">
+	  <div id="toc">
+	    <xsl:call-template name="TOC">
+	      <xsl:with-param name="collName" select="$collName"/>
+	    </xsl:call-template>
+	  </div>
+	</xsl:if>
+      </xsl:if>  
+    </div>
+  </xsl:template>
 
   <xsl:template name="coverImage">
-  <xsl:choose>
-			<xsl:when test="$bookswitch = 'on'">
-				<script type="text/javascript">
-					<xsl:text disable-output-escaping="yes">var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='archivedir']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';</xsl:text>
-				</script>
-			</xsl:when>
-			<xsl:otherwise>
-    				<img><xsl:attribute name='src'><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='archivedir']"/>/cover.jpg</xsl:attribute></img>
-			</xsl:otherwise>
-		</xsl:choose>
+    <xsl:choose>
+      <xsl:when test="$bookswitch = 'on'">
+	<script type="text/javascript">
+	  <xsl:text disable-output-escaping="yes">var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='archivedir']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';</xsl:text>
+	</script>
+      </xsl:when>
+      <xsl:otherwise>
+	<img><xsl:attribute name='src'><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='archivedir']"/>/cover.jpg</xsl:attribute></img>
+      </xsl:otherwise>
+    </xsl:choose>
   </xsl:template>
 
@@ -264,45 +261,45 @@
     <xsl:variable name="ed" select="/page/pageRequest/paramList/param[@name='ed']/@value"/>
     
-   
-      <!-- expand document -->
-   <xsl:if test="@docType = 'hierarchy' or @docType = 'paged'">
-     <li>
+    
+    <!-- expand document -->
+    <xsl:if test="@docType = 'hierarchy' or @docType = 'paged'">
+      <li>
         <xsl:choose><xsl:when test="string($ed)='1'">
-	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
-		  <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
-	      </a>
-	    </xsl:when>
-	    <xsl:otherwise>
-	  <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
-	     <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/>
-	  </a>
-	    </xsl:otherwise>
-	  </xsl:choose>
-      	</li>
-      </xsl:if> 
-      
-      <!-- expand contents -->
-      <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
+	    <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
+	      <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
+	    </a>
+	  </xsl:when>
+	  <xsl:otherwise>
+	    <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
+	      <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/>
+	    </a>
+	  </xsl:otherwise>
+	</xsl:choose>
+      </li>
+    </xsl:if> 
+    
+    <!-- expand contents -->
+    <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
       <li>
-          <xsl:choose><xsl:when test="string($ec)='1'">
-	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
-		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/></a>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <a  href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_tip')"/></xsl:attribute>
-		 <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_b')"/>
-	      </a>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	 </li>
-      </xsl:if>
-
-      <!-- detach page -->
-      <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
-       <li>
-	  <a target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
-	    <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
-	  </a></li>
-      </xsl:template>
+	<xsl:choose><xsl:when test="string($ec)='1'">
+	    <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
+	      <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/></a>
+	  </xsl:when>
+	  <xsl:otherwise>
+	    <a  href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_tip')"/></xsl:attribute>
+	      <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_b')"/>
+	    </a>
+	  </xsl:otherwise>
+	</xsl:choose>
+      </li>
+    </xsl:if>
+
+    <!-- detach page -->
+    <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
+    <li>
+      <a target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
+	<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
+      </a></li>
+  </xsl:template>
 
   <xsl:template name="TOC">
@@ -321,5 +318,5 @@
     </xsl:choose>
   </xsl:template>
-    
+  
   <xsl:template name="hierarchicalContents">
     <xsl:param name="collName"/>
@@ -335,15 +332,15 @@
       <ul id="tocnodes">
 	<li>
-	    <xsl:choose><xsl:when test="string($oc)='0'">
-		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="closedfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.open_toc')"/></xsl:with-param></xsl:call-template></a>
-	      </xsl:when>
-	      <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="openfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.close_toc')"/></xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.table_of_contents')"/>
-	<xsl:if test="string($oc)!='0'">
-           <ul class="tocnode">
-	    <xsl:for-each select="documentNode/documentNode[@nodeID]">
-		  <xsl:apply-templates select='.'><xsl:with-param name="collName" select="$collName"/><xsl:with-param name="ec" select="$ec"/><xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/></xsl:apply-templates>
-		</xsl:for-each>
+	  <xsl:choose><xsl:when test="string($oc)='0'">
+	      <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="closedfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.open_toc')"/></xsl:with-param></xsl:call-template></a>
+	    </xsl:when>
+	    <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="openfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.close_toc')"/></xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.table_of_contents')"/>
+	  <xsl:if test="string($oc)!='0'">
+	    <ul class="tocnode">
+	      <xsl:for-each select="documentNode/documentNode[@nodeID]">
+		<xsl:apply-templates select='.'><xsl:with-param name="collName" select="$collName"/><xsl:with-param name="ec" select="$ec"/><xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/></xsl:apply-templates>
+	      </xsl:for-each>
             </ul>
-	   </xsl:if>
+	  </xsl:if>
         </li> 
       </ul>
@@ -360,28 +357,28 @@
     <xsl:param name="p.c"/>
     <!-- Display the appropriate image, depending on the node type -->
-     <li>
-	<a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;sib=1<xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if>&amp;p.a=<xsl:value-of select="$p.a"/>&amp;p.sa=<xsl:value-of select="$p.sa"/>&amp;p.s=<xsl:value-of select="$p.s"/>&amp;p.c=<xsl:value-of select="$p.c"/></xsl:attribute>
-	  <xsl:apply-templates select="." mode="displayNodeIcon"/>
-	</a>
+    <li>
+      <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;sib=1<xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if>&amp;p.a=<xsl:value-of select="$p.a"/>&amp;p.sa=<xsl:value-of select="$p.sa"/>&amp;p.s=<xsl:value-of select="$p.s"/>&amp;p.c=<xsl:value-of select="$p.c"/></xsl:attribute>
+	<xsl:apply-templates select="." mode="displayNodeIcon"/>
+      </a>
       
       <!-- Display associated title, bolded if the node has content -->
-	<xsl:choose>
-          <xsl:when test="nodeContent">
-	    <span class="bold"><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
-	  </xsl:otherwise>
-	</xsl:choose>
-    <!-- Apply recursively to the children of this node -->
-    <xsl:if test="documentNode[@nodeID]">
-       <ul class="tocnode"> <xsl:apply-templates select="documentNode[@nodeID]">
-	      <xsl:with-param name="collName" select="$collName"/>
-	      <xsl:with-param name="ec" select="$ec"/>
-	      <xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/>
-	      <!--<xsl:with-param name="depth" select="$depth + 1"/>-->
-	    </xsl:apply-templates>
-       </ul>
-     </xsl:if>
+      <xsl:choose>
+	<xsl:when test="nodeContent">
+	  <span class="bold"><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
+	</xsl:when>
+	<xsl:otherwise>
+	  <xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
+	</xsl:otherwise>
+      </xsl:choose>
+      <!-- Apply recursively to the children of this node -->
+      <xsl:if test="documentNode[@nodeID]">
+	<ul class="tocnode"> <xsl:apply-templates select="documentNode[@nodeID]">
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="ec" select="$ec"/>
+	    <xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/>
+	    <!--<xsl:with-param name="depth" select="$depth + 1"/>-->
+	  </xsl:apply-templates>
+	</ul>
+      </xsl:if>
     </li>
   </xsl:template>
@@ -389,12 +386,12 @@
   <!-- default content is to print the title and content of any documentNodes that have nodeContent -->
   <xsl:template name="documentContent">
-   <div class="documenttext"> 
-    <xsl:choose>
-      <xsl:when test="@docType='simple'"><xsl:apply-templates select="nodeContent"/></xsl:when>
-      <xsl:otherwise>
-	<xsl:apply-templates select="descendant-or-self::node()/documentNode" mode="content"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </div>
+    <div class="documenttext"> 
+      <xsl:choose>
+	<xsl:when test="@docType='simple'"><xsl:apply-templates select="nodeContent"/></xsl:when>
+	<xsl:otherwise>
+	  <xsl:apply-templates select="descendant-or-self::node()/documentNode" mode="content"/>
+	</xsl:otherwise>
+      </xsl:choose>
+    </div>
   </xsl:template>
   
@@ -414,5 +411,5 @@
       <xsl:choose>
 	<xsl:when test="not(name())">
-		<xsl:value-of select="." disable-output-escaping="yes"/>
+	  <xsl:value-of select="." disable-output-escaping="yes"/>
 	</xsl:when>
 	<xsl:otherwise><xsl:apply-templates select="."/></xsl:otherwise>
